新手问题 Could not find gem 'mini_magick~>' in rubygems repository 怎么解决?

xiaxia · 2021年05月19日 · 最后由 xiaxia 回复于 2021年05月19日 · 335 次阅读

首先请看我 gemfile 里面只有 这一个这个版本的 mini_magick 然后它报错 然后我尝试单独安装这一个 提示成功后再 bundle install 还是一样的问题。 好的我去给它换版本,换成一样的,4.11.0 依旧报错。。。。 救救孩子这是为什么

1、rubygems 换源,https://gems.ruby-china.com/(非必须)
2、看提示比较像你 gemfile 里面写错 gem 的名字了, 'mini-magic~->'
3、gem list 看看是否没装

@xeruzo 1,我不知道怎么换源 2,名字对照官网了没写错这个 3,执行 gem list 有这个 gem 文件 如图

xiaxia 回复

在 gemfile 第一行加条 source 'https://gems.ruby-china.com' 就行了吧

@longzc 原先的 source 'https://rubygems.org'这个要注释吗

xiaxia 回复

要的

@longzc 我怎么感觉这个 gemfile 认不到新的 source

怀疑是你修改后没保存或者生效
cat Gemfile 看下文件的代码是否与你修改的一致

@xeruzo cat Gemfile 这个在哪执行

xiaxia 回复

在终端界面,你执行 bundle install 的地方

bundle install --local

不过每次都要先 gem install 之后执行。

建议参考 https://gems.ruby-china.com/ 把 Gemfile 的源换了

bundle config mirror.https://rubygems.org https://gems.ruby-china.com

这是什么玄学错误,试过了都无法

xiaxia 回复

notepad Gemfile 看看 source 是不是真的保存上去了

xiaxia 回复

是不是 RubyMine 打开的和终端里不是同一个项目啊

按几下 ctrl+s 或者重启下 RubyMine 试试 你先在记事本里把这行改成 gem 'mini_magick', "~> 4.11.0"

xiaxia 回复

win10 用 type gemfile 问题应该定位到了,就是你修改的文件和终端里面跑 bundle 的那个项目里的 gemfile 有差异
不是什么玄学问题

@koell @xeruzo 重启了,然后变成了这样子

xiaxia 回复

跑下 bundle update 试试

@longzc 成功了!!谢谢你!谢谢大家!被陌生的乱七八糟的问题搞得立刻想辞职,还好有这个社区!

需要 登录 后方可回复, 如果你还没有账号请 注册新账号